$(document).ready(function() {
	var $formAWB = $('#awb');
	var $rezultat = $('#rezultat');
	var $rezultatAWB = $('#rezultat-awb');
	var $overlayPreloader = $('#loading_overlay');
	var $holderAwbGenerat = $('#holder-awb-generat');
	var $getAwb = $('#get-awb');
	$overlayPreloader.fadeOut('fast');
	
	$getAwb.on("click", function(e){
		e.preventDefault();
		/* Inlocuieste butonul Genereaza AWB cu un mesag */
		$(this).hide().after('<span class="processing">Se proceseaza, va rugam asteptati...</span>');
		$overlayPreloader.fadeIn('fast');
		$rezultat.html('');
		
		$.ajax({
			type	: "POST",
			url		: "/modules/lo/ajax/ajax.getAWB.php",
			data	: $formAWB.serialize(),
			error	: function(tXMLHttpRequest, textStatus, errorThrown) {
				$overlayPreloader.fadeOut('fast');
				alert('XMLHttpRequest.status: ' + tXMLHttpRequest.status
												+ '\n textStatus: ' + textStatus
												+ '\n errorThrown: ' + errorThrown
					);
				// Verifica daca este eroare de DB
				if (textStatus.search(/Warning/i) < 0 && textStatus.search(/Error/i) < 0) {
					alert('Eroare: ' + tXMLHttpRequest.status);
				}
			},
			success	: function(mesaj){
				$overlayPreloader.fadeOut('fast');
				if ($.trim(mesaj)!="error") {
					$holderAwbGenerat.html(mesaj);
					$formAWB.hide();
				} else {
					alert('Nu s-a putut genera AWB-ul');
				};
			}
		});
	});

	$(document).on('click', '#tracking-awb', function(ev){
		ev.preventDefault();
		$overlayPreloader.fadeIn('fast');
		$rezultat.hide();
		$this=$(this);
		$this.closest('#holder-awb-generat').after('<span class="processing">Se proceseaza, va rugam asteptati...</span>');

		$.ajax({
			type	: "POST",
			url		: "/modules/lo/ajax/ajax.trackingAWB.php?>",
			data	: $('#form-tracking-awb').serialize(),
			error	: function(tXMLHttpRequest, textStatus, errorThrown) {
						$overlayPreloader.fadeOut('fast');
						alert('XMLHttpRequest.status: ' + tXMLHttpRequest.status
														+ '\n textStatus: ' + textStatus
														+ '\n errorThrown: ' + errorThrown
							);
						// Verifica daca este eroare de DB
						if (textStatus.search(/Warning/i) < 0 && textStatus.search(/Error/i) < 0) {
							alert('Eroare: ' + tXMLHttpRequest.status);
						}
					},
			success	: function(mesaj){
				$overlayPreloader.fadeOut('fast');
				$rezultat.html(mesaj).fadeIn('fast');
				$this.closest('#holder-awb-generat').next().remove();
			}
		});
	});
				
	$(document).on('click', '#cancel-awb', function(ev){
		ev.preventDefault();
		$('#form-tracking-awb').hide();
		$('#print-awb').hide();
		$(this).hide().after('<span class="processing">Se proceseaza, va rugam asteptati...</span>');
		$overlayPreloader.fadeIn('fast');
		
		$.ajax({
			type	: "POST",
			url		: "/modules/lo/ajax/ajax.cancelAWB.php",
			data	: $('#form-cancel-awb').serialize(),
			error	: function(tXMLHttpRequest, textStatus, errorThrown) {
				$overlayPreloader.fadeOut('fast');
				alert('XMLHttpRequest.status: ' + tXMLHttpRequest.status
												+ '\n textStatus: ' + textStatus
												+ '\n errorThrown: ' + errorThrown
					);
				// Verifica daca este eroare de DB
				if (textStatus.search(/Warning/i) < 0 && textStatus.search(/Error/i) < 0) {
					alert('Eroare: ' + tXMLHttpRequest.status);
				}
			},
			success	: function(mesaj){
				$overlayPreloader.fadeOut('fast');
				if ($.trim(mesaj) == "success") {
					$rezultat.html('AWB-ul a fost anulat').fadeIn('fast');
					$rezultatAWB.html('');
					/* Reafiseaza formularul initial */
					console.log('canceled - Reafiseaza formularul initial');
					console.log('$formAWB'); console.log($formAWB);
					console.log('$holderAwbGenerat'); console.log($holderAwbGenerat);
					$formAWB.show();
					$formAWB.find('span.processing').remove();
					$getAwb.show();
					
					$holderAwbGenerat.html('');
				} else {
					$rezultat.html(mesaj).fadeIn('fast');
				}
			}
		});
	});
	$('#adauga-pachet').on('click',function(){
		var clonedRow = $('tbody>tr:last', '#colete').clone().find(':input').val(0).end();
		clonedRow.find('select').val(1).end();
		$('tbody>tr:last', '#colete').after(clonedRow);
		var $nrcolete = $('#nrcolete');
		$nrcolete.val(parseInt($nrcolete.val())+1);
	});
});